<?
/*
Autor: Lic. Carlos Alberto Vaca Coronado
Version: 3.2.0
*/

session_name('portal_absa');
session_start();
require_once("conexion/conectar.php");

$conexion = new CONDB();
$conexion->conectar();

if(isset($_REQUEST["rfc"])){
	$rfc=$_REQUEST["rfc"];
}else{
	$rfc="";
}
$usr="";
$pass="";
$nombre="";
$puesto="";
$email="";
$esProv="SI";
$telefono="";
$contacto="";
$ref_rfc_receptor=$_SESSION['RFC_RECEPTOR_PORTAL'];
			
if(isset($_POST["usr"]))
{
	$usr=$_REQUEST["usr"];
	$pass=$_REQUEST["pass"];
	$nombre=$_REQUEST["nombre"];
	$puesto=$_REQUEST["puesto"];
	$email=$_REQUEST["email2"];
	$esProv="SI";
	$telefono=$_REQUEST["telefono"];
	$contacto=$_REQUEST["contacto"];
	$nombreEmpresa = $_REQUEST["nombreEmpresa"];
}

$query="select username from usuariosweb where username='$usr'";
$rquery = mysqli_query($conexion->CONEXION,$query);
if(mysqli_num_rows($rquery) > 0)
{
	echo "El usuario es incorrecto.";exit;
}else if(isset($_POST["usr"])){
		$respuesta = include("enviaCorreoActivacion.php");
		if(!$respuesta){
			$error="Ocurrio un error al enviar el correo.<br>Intente nuevamente o intente mas tarde";
			return false;
		}
		
		$query="Insert into usuariosweb (username,pass,nombre,puesto,
		rfc_cliente,fechacreacion,esProv,esAdmin,todoRFC,email,activado,telefono,contactoP,ref_rfc_receptor) values('$usr',md5('$pass'),
		'".$nombre."','".$puesto."','$rfc',now(),'$esProv','NO','NO','$email','0','$telefono','$contacto','$ref_rfc_receptor')";
		if(mysqli_query($conexion->CONEXION,$query)){
			$qry_i_proveedores="insert IGNORE into proveedores set rfc='$rfc', rfc_receptor='$ref_rfc_receptor'";
			mysqli_query($conexion->CONEXION,$qry_i_proveedores);	
		}

		$mensaje="Usuario dado de alta satisfactoriamente";
		$error="Ocurrio un error al dar de alta el usuario:<br/>";
		
}

if(trim(mysqli_error($conexion->CONEXION)) != ""){
	echo $error.mysqli_error($conexion->CONEXION);
	exit;
}

$mensaje2.=saveClienteWEB($rfc);

if(trim($mensaje2) != ""){
	echo $error.$mensaje2;
	exit;
}

echo "true: ".$mensaje;

/*if(mysqli_errno($conexion->CONEXION) || !saveClienteWEB($rfc))
	echo $error;
else
	echo "true: ".$mensaje;*/
	
function saveClienteWEB($rfc){
	global $conexion;
$nombreCliente=$_REQUEST['nombreEmpresa'];
$query="select rfc_cliente from clienteweb where rfc_cliente='$rfc'";
		$rquery=mysqli_query($conexion->CONEXION,$query);
		if(mysqli_num_rows($rquery)==0){
				$query="insert into clienteweb set rfc_cliente='$rfc', nombre_cliente='$nombreCliente', esProv='SI'";
				mysqli_query($conexion->CONEXION,$query);
		}else{
			$query="update clienteweb set esProv='SI', nombre_cliente='$nombreCliente' where rfc_cliente='$rfc'";
			mysqli_query($conexion->CONEXION,$query);
		}
		/*if(mysqli_errno($conexion->CONEXION))
			return false;
		else
			return true;*/
		
		return mysqli_error($conexion->CONEXION);
		
}

?>